--- title: "getProductCategoryList" slug: "platform-listprice-getproductcategorylist" updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-listprice-getproductcategorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getProductCategoryList Available in Classic and VPC Get the list of service categories. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /product/getProductCategoryList | ### Request headers For headers common to all List price APIs, see [List price common headers](/docs/en/platform-listprice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `productCategoryCode` | String | Optional | Product category code | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/product/getProductCategoryList?productCategoryCode=COMPUTE' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [ProductCategoryList](/docs/en/common-vapidatatype-productcategorylist) for the response body. ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 89e37809-****-****-****-0e5762e14b39 0 success 1 COMPUTE Compute ```